/*******************************************************************/
/*  DEBUT DU MODULE URNBE.C  --  HEADER                            */
/*******************************************************************/
#ifndef __URNBE_H
#define __URNBE_H

#include "fullspec.h"

int Crc_Rijndael(char *mode,char *type,char *src,char *dest);
int Remplit(void);
int Rfloppy(char *msg);
int Rfile(char *fichier);
int Wmac(void);
int CalculMac(void);
int Encrypte(void);
void Calcul_Crc(char *Carte, int pos);
int MoveTbl(void);

void Erreur(char *msg);
int Initialise_Rijndael(void);
void Initialise_RijndaelMini(void);
void Initialise_Date(char *Buffer);
int Verifie_Password(void);
/* << 9.03*/
int Encrypte_Fe_Dsk(void);
int Decrypte_Fe_Dsk(void);
/* >>*/

extern int Getch(char Color);
extern void Light_LED(char LED);
extern int makeKeyBinary (keyInstance * keyInst, BYTE direction,
	       unsigned char *cipherKey);
extern int cipherInitBinary (cipherInstance * cipherInst, unsigned char *IV);
extern int encryptData (unsigned char *result, cipherInstance * cipherInst,
	     keyInstance * keyInst, unsigned char *plaintext,
	     unsigned long plainLen);
extern int decryptKeys (BYTE * decryptedMacKey, BYTE * decryptedEncKey,
	     BYTE * dataFromFloppy, BYTE * cipherKey);
extern int computeMac (unsigned char *result, int resLen, unsigned char *data,
	    unsigned int dataLen, unsigned char *key);
extern int extendPassword (char *fullPassword, char *password);
extern int validatePassword (char *fullPassword);
/* << 9.03*/
extern int rijn2(int, char **);
/* >>*/

#endif /* __URNBE_H */
/*******************************************************************/
/*  FIN DU MODULE URNEBE.C  --  HEADER                             */
/*******************************************************************/
